/* 
Theme Name: Child
Author: Publidental
Author URI: https://www.publidental.es
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

@font-face {
	font-family: 'Outfit';
	src: url("/wp-content/themes/child/fonts/Outfit.woff2") format("woff2-variations");
	font-weight: 100 1000;
	font-stretch: 75% 125%;
	font-style: normal;
	font-display: swap;
}

/* tipografia */
body, input, textarea, select, button {
    font-synthesis: none;
    -moz-font-feature-settings: 'kern';
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    direction: ltr;
	font-family: 'Outfit';
}
h1, h2, h3, h4, h5, h6 {
	font-family: 'Outfit', serif;
}
h1, h2 {
	text-transform: uppercase;
}
p, ul, ol {
	text-align: justify;
}
@media (min-width: 768px) {
	h1 {
		font-size: 3rem;
		font-weight: 100;
		letter-spacing: 1px;
	}
	h2 {
		font-size: 2.4rem;
		font-weight: 500;
	}
	.texto-legal h2 {
		font-size: 1.75rem;
	}
}

/* general */
body {
	color: var(--e-global-color-text);
	font-size: 17px;
	overflow-x: clip;
}
a, a:hover, a:active {
	color: var(--e-global-color-text);
}

/* temporal
body.admin-bar header {
	margin-top: 32px;
}*/

/* header */
header {
	position: absolute;
	width: 100%;
	top: 0;
	//z-index: 9991;
	z-index: 9999990;
}
header.hfe-sticky {
	position: fixed;
	animation: slide-down 0.8s;
	background: var(--e-global-color-primary);
}
header.hfe-sticky .pre-header {
	display: none!important;
}
main {
	margin-top: 41px;
}
@media (max-width: 767px) {
	header {
		padding: 20px 10px;
		max-height: 92px;
	}
	main {
		margin-top: 0;
	}
	header.hfe-sticky .h-logo {
		transform: scale(1);
	}
}
@keyframes slide-down {
    0% {
        transform: translateY(-100%);
    } 
    100% {
        transform: translateY(0);
    }
}

/* inputs, buttons */
.elementor-button {
	display: inline-block;
	font-family: 'Outfit', sans-serif;
	border-radius: 25px;
	padding: 14px;
	width: max-content;
	background: var(--e-global-color-accent);
	outline: none;
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
	color: var(--e-global-color-secondary);
	-webkit-transition: ease-out 0.4s;
	-moz-transition: ease-out 0.4s;
	transition: ease-out 0.4s;
}
.elementor-button:visited {
	color: var(--e-global-color-secondary);
}

/* efectos */
.caja-cta, .caja-cta-fin {
	color: var(--e-global-color-secondary);
	background: #00000038;
	-webkit-backdrop-filter: blur(8px);
	backdrop-filter: blur(8px);
	-webkit-box-shadow: 0 10px 10px 1px #0000001f;
	box-shadow: 0 10px 10px 1px #0000001f;
}
.caja-cta {
	border-right: 1px solid #ffffff36;
}
.caja-cta:hover, .caja-cta-fin:hover {
	color: var(--e-global-color-secondary);
}
@media (max-width: 767px) {
	.caja-cta {
		border-right: none;
		border-bottom: 1px solid #ffffff36;
	}
}

/* caja personal */
.personal .elementor-image-box-img img {
	height: 500px;
	object-fit: cover;
}
.personal .elementor-image-box-description {
	text-align: center;
	padding: 10px 0 30px;
}
.personal .especialidad {
	font-size: 18px;
	font-weight: 500;
	line-height: 2.2em;
}
@media (max-width: 767px) {
	.personal .elementor-image-box-img img {
		height: 450px;
	}
	.personal .elementor-image-box-description {
		padding: 10px 0;
	}
}

/* tratamientos carousel */
.trata-carousel .e-loop-item {
	transition: 0.6s;
}
.trata-carousel .e-loop-item:hover {
	box-shadow: 0 2px 8px rgb(0 0 0 /20%)!important;
	transition: 0.6s;
}

/* reviews home */
.valoracion .swiper-pagination {
	text-align: right!important;
}
.valoracion .elementor-testimonial__text {
	text-align: justify;
}

/* formulario */
.elementor-field-type-acceptance .elementor-field-option {
	display: flex;
}
.elementor-field-type-acceptance .elementor-field-option label {
	font-size: 16px;
	padding: 10px;
}

/* info protección datos */
.masinfo .elementor-tab-content {
	position: absolute;
	background: #efefeff7;
	color: var(--e-global-color-primary)!important;
	border-radius: 10px;
	margin-top: 10px;
	padding-bottom: 10px!important;
	z-index: 9;
}
.masinfo .elementor-tab-content a {
	color: var(--e-global-color-accent)!important;
}

/* footer */
@media (max-width: 767px) {
	.menu-legal ul.elementor-nav-menu {
		display: flex;
		flex-wrap: wrap;
		flex-direction: column;
		align-items: center;
	}
}